Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List project updates

GET/workspaces/{organizationId}/projects/{projectId}/updates
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
Responses
200

Project updates

updatesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
projectIdstringrequired
contentstringrequired
contentFormatstringrequired
Allowed:textmarkdownblocks
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
createdByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects/string/updates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "updates": [
    {
      "id": "string",
      "organizationId": "string",
      "projectId": "string",
      "content": "string",
      "contentFormat": "text",
      "health": "on_track",
      "createdById": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?